Subject: Re: [PATCH] crypto: fix build failure in mv_cesa.c (missing of header)

From: Jason <[email-masked]>
Date: Sun, 11 Mar 2012 22:32:44 -0400

On Sun, Mar 11, 2012 at 12:17:29PM -0400, Paul Gortmaker wrote:
> On Sat, Mar 10, 2012 at 8:42 PM, Jason Cooper <[email-masked]> wrote:
> > On Fri, Mar 09, 2012 at 02:58:25PM -0500, Paul Gortmaker wrote:
> >> Commit 737b75872487f560397ba34846a19823b1addf88 (linux-next)
> >>
> >>     "ARM: kirkwood: mv_cesa devicetree bindings"
> >>
> >> fails to compile as follows:
> >>
> >>  CC      drivers/crypto/mv_cesa.o
> >>  drivers/crypto/mv_cesa.c:1139: error: implicit declaration of function 'of_match_ptr'
> >>  drivers/crypto/mv_cesa.c:1139: error: 'mv_cesa_dt_ids' undeclared here (not in a function)
> >>  drivers/crypto/mv_cesa.c:1139: error: initializer element is not constant
> >>  drivers/crypto/mv_cesa.c:1139: error: (near initialization for 'marvell_crypto.driver.of_match_table')
> >>
> >> because it is missing the linux/of.h header file.
> >>
> >> Signed-off-by: Paul Gortmaker <[email-masked]>
> >
> > Paul,
> >
> > Thanks for the patch.  Unfortunately, I'm not learning fast enough.  ;-)
> > This series has been in a lot of flux lately, as you've experienced.
> >
> > The good news is, after talking with Olaf and Arnd, I think I have a
> > good workflow figured out.  Hopefully, failures like this won't happen
> > in the future.
> 
> Sounds good -- don't be too hard on yourself wrt. a minor breakage.
> Feel free to just squish the above patch into whatever updates you
> have going.  I don't see it needing to exist as a standalone commit.

Thanks, it's definitely better that it be squashed into the existing
commit.  I wouldn't want a bisect to land in between it down the road.

thx,

Jason.